diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/int64x64-128.h ns-3.44/src/core/model/int64x64-128.h
--- ns-3.43/src/core/model/int64x64-128.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/int64x64-128.h	2025-03-09 16:55:49.359371000 -0700
@@ -10,7 +10,7 @@
 #include "ns3/core-config.h"
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Use uint128_t for int64x64_t implementation
  */
 #if defined(INT64X64_USE_128) && !defined(PYTHON_SCAN)
@@ -20,7 +20,7 @@
 
 #if defined(HAVE___UINT128_T) && !defined(HAVE_UINT128_T)
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Some compilers do not have this defined, so we define it.
  * @{
  */
@@ -30,8 +30,8 @@
 #endif
 
 /**
- * \file
- * \ingroup highprec
+ * @file
+ * @ingroup highprec
  * Declaration of the ns3::int64x64_t type using a native int128_t type.
  */
 
@@ -39,7 +39,7 @@
 {
 
 /**
- * \internal
+ * @internal
  * The implementation documented here is based on native 128-bit integers.
  */
 class int64x64_t
@@ -77,13 +77,13 @@
     }
 
     /**
-     * \name Construct from a floating point value.
+     * @name Construct from a floating point value.
      */
     /**
      * @{
      * Constructor from a floating point.
      *
-     * \param [in] value Floating value to represent.
+     * @param [in] value Floating value to represent.
      */
     inline int64x64_t(const double value)
     {
@@ -123,13 +123,13 @@
     /**@}*/
 
     /**
-     * \name Construct from an integral type.
+     * @name Construct from an integral type.
      */
     /**@{*/
     /**
      * Construct from an integral type.
      *
-     * \param [in] v Integer value to represent.
+     * @param [in] v Integer value to represent.
      */
     inline int64x64_t(const int v)
         : _v(v)
@@ -172,8 +172,8 @@
     /**
      * Construct from explicit high and low values.
      *
-     * \param [in] hi Integer portion.
-     * \param [in] lo Fractional portion, already scaled to HP_MAX_64.
+     * @param [in] hi Integer portion.
+     * @param [in] lo Fractional portion, already scaled to HP_MAX_64.
      */
     explicit inline int64x64_t(const int64_t hi, const uint64_t lo)
     {
@@ -184,7 +184,7 @@
     /**
      * Copy constructor.
      *
-     * \param [in] o Value to copy.
+     * @param [in] o Value to copy.
      */
     inline int64x64_t(const int64x64_t& o)
         : _v(o._v)
@@ -194,8 +194,8 @@
     /**
      * Assignment.
      *
-     * \param [in] o Value to assign to this int64x64_t.
-     * \returns This int64x64_t.
+     * @param [in] o Value to assign to this int64x64_t.
+     * @returns This int64x64_t.
      */
     inline int64x64_t& operator=(const int64x64_t& o)
     {
@@ -212,7 +212,7 @@
     /**
      * Get this value as a double.
      *
-     * \return This value in floating form.
+     * @return This value in floating form.
      */
     inline double GetDouble() const
     {
@@ -230,7 +230,7 @@
     /**
      * Get the integer portion.
      *
-     * \return The integer portion of this value.
+     * @return The integer portion of this value.
      */
     inline int64_t GetHigh() const
     {
@@ -241,7 +241,7 @@
     /**
      * Get the fractional portion of this value, unscaled.
      *
-     * \return The fractional portion, unscaled, as an integer.
+     * @return The fractional portion, unscaled, as an integer.
      */
     inline uint64_t GetLow() const
     {
@@ -252,7 +252,7 @@
     /**
      * Truncate to an integer.
      * Truncation is always toward zero,
-     * \return The value truncated toward zero.
+     * @return The value truncated toward zero.
      */
     int64_t GetInt() const
     {
@@ -267,7 +267,7 @@
      * Round to the nearest int.
      * Similar to std::round this rounds halfway cases away from zero,
      * regardless of the current (floating) rounding mode.
-     * \return The value rounded to the nearest int.
+     * @return The value rounded to the nearest int.
      */
     int64_t Round() const
     {
@@ -284,9 +284,9 @@
      * Multiply this value by a Q0.128 value, presumably representing an inverse,
      * completing a division operation.
      *
-     * \param [in] o The inverse operand.
+     * @param [in] o The inverse operand.
      *
-     * \see Invert()
+     * @see Invert()
      */
     void MulByInvert(const int64x64_t& o);
 
@@ -300,22 +300,22 @@
      *
      * (Really this should be a separate type representing Q0.128.)
      *
-     * \param [in] v The value to compute the inverse of.
-     * \return A Q0.128 representation of the inverse.
+     * @param [in] v The value to compute the inverse of.
+     * @return A Q0.128 representation of the inverse.
      */
     static int64x64_t Invert(const uint64_t v);
 
   private:
     /**
-     * \name Arithmetic Operators
+     * @name Arithmetic Operators
      * Arithmetic operators for int64x64_t.
      */
     /**
      * @{
      * Arithmetic operator.
-     * \param [in] lhs Left hand argument
-     * \param [in] rhs Right hand argument
-     * \return The result of the operator.
+     * @param [in] lhs Left hand argument
+     * @param [in] rhs Right hand argument
+     * @return The result of the operator.
      */
 
     friend inline bool operator==(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -360,14 +360,14 @@
     /**@}*/
 
     /**
-     * \name Unary Operators
+     * @name Unary Operators
      * Unary operators for int64x64_t.
      */
     /**
      * @{
      * Unary operator.
-     * \param [in] lhs Left hand argument
-     * \return The result of the operator.
+     * @param [in] lhs Left hand argument
+     * @return The result of the operator.
      */
     friend inline int64x64_t operator+(const int64x64_t& lhs)
     {
@@ -392,13 +392,13 @@
      * Implement `*=`.
      * We assert if the product cannot be encoded in int64x64_t.
      *
-     * \param [in] o The other factor.
+     * @param [in] o The other factor.
      */
     void Mul(const int64x64_t& o);
     /**
      * Implement `/=`.
      *
-     * \param [in] o The divisor.
+     * @param [in] o The divisor.
      */
     void Div(const int64x64_t& o);
     /**
@@ -408,11 +408,11 @@
      * we keep the central 128 bits, representing the Q64.64 result.
      * We might assert if the result, in uint128_t format, exceeds 2^127.
      *
-     * \param [in] a First factor.
-     * \param [in] b Second factor.
-     * \return The Q64.64 product.
+     * @param [in] a First factor.
+     * @param [in] b Second factor.
+     * @return The Q64.64 product.
      *
-     * \internal
+     * @internal
      *
      * It might be tempting to just use \pname{a} `*` \pname{b}
      * and be done with it, but it's not that simple.  With \pname{a}
@@ -429,19 +429,19 @@
     /**
      * Unsigned division of Q64.64 values.
      *
-     * \param [in] a Numerator.
-     * \param [in] b Denominator.
-     * \return The Q64.64 representation of `a / b`.
+     * @param [in] a Numerator.
+     * @param [in] b Denominator.
+     * @return The Q64.64 representation of `a / b`.
      */
     static uint128_t Udiv(const uint128_t a, const uint128_t b);
     /**
      * Unsigned multiplication of Q64.64 and Q0.128 values.
      *
-     * \param [in] a The numerator, a Q64.64 value.
-     * \param [in] b The inverse of the denominator, a Q0.128 value
-     * \return The product `a * b`, representing the ration `a / b^-1`.
+     * @param [in] a The numerator, a Q64.64 value.
+     * @param [in] b The inverse of the denominator, a Q0.128 value
+     * @return The product `a * b`, representing the ration `a / b^-1`.
      *
-     * \see Invert()
+     * @see Invert()
      */
     static uint128_t UmulByInvert(const uint128_t a, const uint128_t b);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/int64x64-cairo.cc ns-3.44/src/core/model/int64x64-cairo.cc
--- ns-3.43/src/core/model/int64x64-cairo.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/int64x64-cairo.cc	2025-03-09 16:55:49.359371000 -0700
@@ -24,8 +24,8 @@
 }
 
 /**
- * \file
- * \ingroup highprec
+ * @file
+ * @ingroup highprec
  * Implementation of the ns3::int64x64_t type using the Cairo implementation.
  */
 
@@ -38,15 +38,15 @@
 NS_LOG_COMPONENT_DEFINE("int64x64-cairo");
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Compute the sign of the result of multiplying or dividing
  * Q64.64 fixed precision operands.
  *
- * \param [in]  sa The signed value of the first operand.
- * \param [in]  sb The signed value of the second operand.
- * \param [out] ua The unsigned magnitude of the first operand.
- * \param [out] ub The unsigned magnitude of the second operand.
- * \returns True if the result will be negative.
+ * @param [in]  sa The signed value of the first operand.
+ * @param [in]  sb The signed value of the second operand.
+ * @param [out] ua The unsigned magnitude of the first operand.
+ * @param [out] ub The unsigned magnitude of the second operand.
+ * @returns True if the result will be negative.
  */
 static inline bool
 output_sign(const cairo_int128_t sa,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/int64x64-cairo.h ns-3.44/src/core/model/int64x64-cairo.h
--- ns-3.43/src/core/model/int64x64-cairo.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/int64x64-cairo.h	2025-03-09 16:55:49.359371000 -0700
@@ -17,8 +17,8 @@
 #include <cmath> // pow
 
 /**
- * \file
- * \ingroup highprec
+ * @file
+ * @ingroup highprec
  * Declaration of the ns3::int64x64_t type using the Cairo implementation.
  */
 
@@ -26,7 +26,7 @@
 {
 
 /**
- * \internal
+ * @internal
  * The implementation documented here uses cairo 128-bit integers.
  */
 class int64x64_t
@@ -65,13 +65,13 @@
     }
 
     /**
-     * \name Construct from a floating point value.
+     * @name Construct from a floating point value.
      */
     /**
      * @{
      * Constructor from a floating point.
      *
-     * \param [in] value Floating value to represent.
+     * @param [in] value Floating value to represent.
      */
     inline int64x64_t(const double value)
     {
@@ -111,13 +111,13 @@
     /**@}*/
 
     /**
-     * \name Construct from an integral type.
+     * @name Construct from an integral type.
      */
     /**@{*/
     /**
      * Construct from an integral type.
      *
-     * \param [in] v Integer value to represent
+     * @param [in] v Integer value to represent
      */
     inline int64x64_t(const int v)
     {
@@ -159,8 +159,8 @@
     /**
      * Construct from explicit high and low values.
      *
-     * \param [in] hi Integer portion.
-     * \param [in] lo Fractional portion, already scaled to HP_MAX_64.
+     * @param [in] hi Integer portion.
+     * @param [in] lo Fractional portion, already scaled to HP_MAX_64.
      */
     explicit inline int64x64_t(const int64_t hi, const uint64_t lo)
     {
@@ -171,7 +171,7 @@
     /**
      * Copy constructor.
      *
-     * \param [in] o Value to copy.
+     * @param [in] o Value to copy.
      */
     inline int64x64_t(const int64x64_t& o)
         : _v(o._v)
@@ -181,8 +181,8 @@
     /**
      * Assignment.
      *
-     * \param [in] o Value to assign to this int64x64_t.
-     * \returns a copy of \pname{o}
+     * @param [in] o Value to assign to this int64x64_t.
+     * @returns a copy of \pname{o}
      */
     inline int64x64_t& operator=(const int64x64_t& o)
     {
@@ -199,7 +199,7 @@
     /**
      * Get this value as a double.
      *
-     * \return This value in floating form.
+     * @return This value in floating form.
      */
     inline double GetDouble() const
     {
@@ -216,7 +216,7 @@
     /**
      * Get the integer portion.
      *
-     * \return The integer portion of this value.
+     * @return The integer portion of this value.
      */
     inline int64_t GetHigh() const
     {
@@ -226,7 +226,7 @@
     /**
      * Get the fractional portion of this value, unscaled.
      *
-     * \return The fractional portion, unscaled, as an integer.
+     * @return The fractional portion, unscaled, as an integer.
      */
     inline uint64_t GetLow() const
     {
@@ -236,7 +236,7 @@
     /**
      * Truncate to an integer.
      * Truncation is always toward zero,
-     * \return The value truncated toward zero.
+     * @return The value truncated toward zero.
      */
     int64_t GetInt() const
     {
@@ -251,7 +251,7 @@
      * Round to the nearest int.
      * Similar to std::round this rounds halfway cases away from zero,
      * regardless of the current (floating) rounding mode.
-     * \return The value rounded to the nearest int.
+     * @return The value rounded to the nearest int.
      */
     int64_t Round() const
     {
@@ -268,9 +268,9 @@
      * Multiply this value by a Q0.128 value, presumably representing an inverse,
      * completing a division operation.
      *
-     * \param [in] o The inverse operand.
+     * @param [in] o The inverse operand.
      *
-     * \see Invert
+     * @see Invert
      */
     void MulByInvert(const int64x64_t& o);
 
@@ -284,22 +284,22 @@
      *
      * (Really this should be a separate type representing Q0.128.)
      *
-     * \param [in] v The value to compute the inverse of.
-     * \return A Q0.128 representation of the inverse.
+     * @param [in] v The value to compute the inverse of.
+     * @return A Q0.128 representation of the inverse.
      */
     static int64x64_t Invert(const uint64_t v);
 
   private:
     /**
-     * \name Arithmetic Operators
+     * @name Arithmetic Operators
      * Arithmetic operators for int64x64_t.
      */
     /**
      * @{
      * Arithmetic operator.
-     * \param [in] lhs Left hand argument
-     * \param [in] rhs Right hand argument
-     * \return The result of the operator.
+     * @param [in] lhs Left hand argument
+     * @param [in] rhs Right hand argument
+     * @return The result of the operator.
      */
 
     friend inline bool operator==(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -344,14 +344,14 @@
     /** @} */
 
     /**
-     * \name Unary Operators
+     * @name Unary Operators
      * Unary operators for int64x64_t.
      */
     /**
      * @{
      * Unary operator.
-     * \param [in] lhs Left hand argument
-     * \return The result of the operator.
+     * @param [in] lhs Left hand argument
+     * @return The result of the operator.
      */
     friend inline int64x64_t operator+(const int64x64_t& lhs)
     {
@@ -375,13 +375,13 @@
     /**
      * Implement `*=`.
      *
-     * \param [in] o The other factor.
+     * @param [in] o The other factor.
      */
     void Mul(const int64x64_t& o);
     /**
      * Implement `/=`.
      *
-     * \param [in] o The divisor.
+     * @param [in] o The divisor.
      */
     void Div(const int64x64_t& o);
     /**
@@ -391,11 +391,11 @@
      * we keep the central 128 bits, representing the Q64.64 result.
      * We assert on integer overflow beyond the 64-bit integer portion.
      *
-     * \param [in] a First factor.
-     * \param [in] b Second factor.
-     * \return The Q64.64 product.
+     * @param [in] a First factor.
+     * @param [in] b Second factor.
+     * @return The Q64.64 product.
      *
-     * \internal
+     * @internal
      *
      * It might be tempting to just use \pname{a} `*` \pname{b}
      * and be done with it, but it's not that simple.  With \pname{a}
@@ -412,19 +412,19 @@
     /**
      * Unsigned division of Q64.64 values.
      *
-     * \param [in] a Numerator.
-     * \param [in] b Denominator.
-     * \return The Q64.64 representation of `a / b`
+     * @param [in] a Numerator.
+     * @param [in] b Denominator.
+     * @return The Q64.64 representation of `a / b`
      */
     static cairo_uint128_t Udiv(const cairo_uint128_t a, const cairo_uint128_t b);
     /**
      * Unsigned multiplication of Q64.64 and Q0.128 values.
      *
-     * \param [in] a The numerator, a Q64.64 value.
-     * \param [in] b The inverse of the denominator, a Q0.128 value
-     * \return The product `a * b`, representing the ration `a / b^-1`
+     * @param [in] a The numerator, a Q64.64 value.
+     * @param [in] b The inverse of the denominator, a Q0.128 value
+     * @return The product `a * b`, representing the ration `a / b^-1`
      *
-     * \see Invert
+     * @see Invert
      */
     static cairo_uint128_t UmulByInvert(const cairo_uint128_t a, const cairo_uint128_t b);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/int64x64.cc ns-3.44/src/core/model/int64x64.cc
--- ns-3.43/src/core/model/int64x64.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/int64x64.cc	2025-03-09 16:55:49.359371000 -0700
@@ -16,8 +16,8 @@
 #include <stdint.h>
 
 /**
- * \file
- * \ingroup highprec
+ * @file
+ * @ingroup highprec
  * Implementation of the streaming input and output operators for
  * the ns3::int64x64_t type.
  */
@@ -31,18 +31,18 @@
 NS_LOG_COMPONENT_DEFINE_MASK("int64x64", LOG_PREFIX_TIME);
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Print the high and low words of an int64x64 in hex, for debugging.
  *
- * \param [in] hi The high (integer) word.
- * \param [in] lo The low (fractional) work.
+ * @param [in] hi The high (integer) word.
+ * @param [in] lo The low (fractional) work.
  */
 #define HEXHILOW(hi, lo)                                                                           \
     std::hex << std::setfill('0') << std::right << " (0x" << std::setw(16) << hi << " "            \
              << std::setw(16) << lo << std::dec << std::setfill(' ') << std::left << ")"
 
 /**
- * \internal
+ * @internal
  * This algorithm is exact to the precision requested, up to the full
  * 64 decimal digits required to exactly represent a 64-bit fraction.
  *
@@ -158,13 +158,13 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Read the integer portion of a number from a string containing
  * just the integral digits (no decimal point or fractional part).
  *
- * \param [in] str The string representation of the integral part
+ * @param [in] str The string representation of the integral part
  *             of a number, with no fractional part or decimal point.
- * \returns    The integer.
+ * @returns    The integer.
  */
 static uint64_t
 ReadHiDigits(std::string str)
@@ -181,14 +181,14 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Read the fractional part of a number from a string containing
  * just the decimal digits of the fractional part (no integral part
  * or decimal point).
  *
- * \param [in] str The string representation of the fractional part
+ * @param [in] str The string representation of the fractional part
  *             of a number, without integral part or decimal point.
- * \returns    The decimal portion of the input number.
+ * @returns    The decimal portion of the input number.
  */
 static uint64_t
 ReadLoDigits(std::string str)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/int64x64-double.h ns-3.44/src/core/model/int64x64-double.h
--- ns-3.43/src/core/model/int64x64-double.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/int64x64-double.h	2025-03-09 16:55:49.359371000 -0700
@@ -17,8 +17,8 @@
 #include <utility> // pair
 
 /**
- * \file
- * \ingroup highprec
+ * @file
+ * @ingroup highprec
  * Declaration and implementation of the ns3::int64x64_t type
  * using the double type.
  */
@@ -27,7 +27,7 @@
 {
 
 /**
- * \internal
+ * @internal
  * The implementation documented here uses native long double.
  */
 class int64x64_t
@@ -63,13 +63,13 @@
     }
 
     /**
-     * \name Construct from a floating point value.
+     * @name Construct from a floating point value.
      */
     /**
      * @{
      * Constructor from a floating point.
      *
-     * \param [in] value Floating value to represent.
+     * @param [in] value Floating value to represent.
      */
     inline int64x64_t(double value)
         : _v(value)
@@ -84,13 +84,13 @@
     /**@}*/
 
     /**
-     * \name Construct from an integral type.
+     * @name Construct from an integral type.
      */
     /**@{*/
     /**
      * Construct from an integral type.
      *
-     * \param [in] v Integer value to represent
+     * @param [in] v Integer value to represent
      */
     inline int64x64_t(int v)
         : _v(v)
@@ -126,8 +126,8 @@
     /**
      * Construct from explicit high and low values.
      *
-     * \param [in] hi Integer portion.
-     * \param [in] lo Fractional portion, already scaled to HP_MAX_64.
+     * @param [in] hi Integer portion.
+     * @param [in] lo Fractional portion, already scaled to HP_MAX_64.
      */
     explicit inline int64x64_t(int64_t hi, uint64_t lo)
     {
@@ -143,7 +143,7 @@
     /**
      * Copy constructor.
      *
-     * \param [in] o Value to copy.
+     * @param [in] o Value to copy.
      */
     inline int64x64_t(const int64x64_t& o)
         : _v(o._v)
@@ -153,8 +153,8 @@
     /**
      * Assignment.
      *
-     * \param [in] o Value to assign to this int64x64_t.
-     * \returns a copy of \pname{o}
+     * @param [in] o Value to assign to this int64x64_t.
+     * @returns a copy of \pname{o}
      */
     inline int64x64_t& operator=(const int64x64_t& o)
     {
@@ -171,7 +171,7 @@
     /**
      * Get this value as a double.
      *
-     * \return This value in floating form.
+     * @return This value in floating form.
      */
     inline double GetDouble() const
     {
@@ -182,7 +182,7 @@
     /**
      * Get the high and low portions of this value.
      *
-     * \return A pair of the high and low words
+     * @return A pair of the high and low words
      */
     std::pair<int64_t, uint64_t> GetHighLow() const
     {
@@ -224,7 +224,7 @@
     /**
      * Get the integer portion.
      *
-     * \return The integer portion of this value.
+     * @return The integer portion of this value.
      */
     inline int64_t GetHigh() const
     {
@@ -234,7 +234,7 @@
     /**
      * Get the fractional portion of this value, unscaled.
      *
-     * \return The fractional portion, unscaled, as an integer.
+     * @return The fractional portion, unscaled, as an integer.
      */
     inline uint64_t GetLow() const
     {
@@ -244,7 +244,7 @@
     /**
      * Truncate to an integer.
      * Truncation is always toward zero,
-     * \return The value truncated toward zero.
+     * @return The value truncated toward zero.
      */
     int64_t GetInt() const
     {
@@ -256,7 +256,7 @@
      * Round to the nearest int.
      * Similar to std::round this rounds halfway cases away from zero,
      * regardless of the current (floating) rounding mode.
-     * \return The value rounded to the nearest int.
+     * @return The value rounded to the nearest int.
      */
     int64_t Round() const
     {
@@ -268,9 +268,9 @@
      * Multiply this value by a Q0.128 value, presumably representing an inverse,
      * completing a division operation.
      *
-     * \param [in] o The inverse operand.
+     * @param [in] o The inverse operand.
      *
-     * \note There is no difference between Q64.64 and Q0.128 in this implementation,
+     * @note There is no difference between Q64.64 and Q0.128 in this implementation,
      * so this function is a simple multiply.
      */
     inline void MulByInvert(const int64x64_t& o)
@@ -281,8 +281,8 @@
     /**
      * Compute the inverse of an integer value.
      *
-     * \param [in] v The value to compute the inverse of.
-     * \return The inverse.
+     * @param [in] v The value to compute the inverse of.
+     * @return The inverse.
      */
     static inline int64x64_t Invert(uint64_t v)
     {
@@ -292,15 +292,15 @@
 
   private:
     /**
-     * \name Arithmetic Operators
+     * @name Arithmetic Operators
      * Arithmetic operators for int64x64_t.
      */
     /**
      * @{
      * Arithmetic operator.
-     * \param [in] lhs Left hand argument
-     * \param [in] rhs Right hand argument
-     * \return The result of the operator.
+     * @param [in] lhs Left hand argument
+     * @param [in] rhs Right hand argument
+     * @return The result of the operator.
      */
 
     friend inline bool operator==(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -345,14 +345,14 @@
     /**@}*/
 
     /**
-     * \name Unary Operators
+     * @name Unary Operators
      * Unary operators for int64x64_t.
      */
     /**
      * @{
      * Unary operator.
-     * \param [in] lhs Left hand argument
-     * \return The result of the operator.
+     * @param [in] lhs Left hand argument
+     * @return The result of the operator.
      */
     friend inline int64x64_t operator+(const int64x64_t& lhs)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/int64x64.h ns-3.44/src/core/model/int64x64.h
--- ns-3.43/src/core/model/int64x64.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/int64x64.h	2025-03-09 16:55:49.359371000 -0700
@@ -24,8 +24,8 @@
 #include <iostream>
 
 /**
- * \file
- * \ingroup highprec
+ * @file
+ * @ingroup highprec
  * Declaration of the ns3::int64x64_t type and associated operators.
  */
 
@@ -33,8 +33,8 @@
 {
 
 /**
- * \ingroup core
- * \defgroup highprec High Precision Q64.64
+ * @ingroup core
+ * @defgroup highprec High Precision Q64.64
  *
  * Functions and class for high precision Q64.64 fixed point arithmetic.
  *
@@ -59,18 +59,18 @@
  */
 
 /**
- * \ingroup highprec
- * \class int64x64_t
+ * @ingroup highprec
+ * @class int64x64_t
  *
  * High precision numerical type, implementing Q64.64 fixed precision.
  */
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Addition operator.
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
+ * @param [in] lhs Left hand argument
+ * @param [in] rhs Right hand argument
+ * @return The result of the operator.
  */
 inline int64x64_t
 operator+(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -81,11 +81,11 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Subtraction operator.
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
+ * @param [in] lhs Left hand argument
+ * @param [in] rhs Right hand argument
+ * @return The result of the operator.
  */
 inline int64x64_t
 operator-(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -96,11 +96,11 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Multiplication operator.
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
+ * @param [in] lhs Left hand argument
+ * @param [in] rhs Right hand argument
+ * @return The result of the operator.
  */
 inline int64x64_t
 operator*(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -111,11 +111,11 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Division operator.
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
+ * @param [in] lhs Left hand argument
+ * @param [in] rhs Right hand argument
+ * @return The result of the operator.
  */
 inline int64x64_t
 operator/(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -126,11 +126,11 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Inequality operator
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
+ * @param [in] lhs Left hand argument
+ * @param [in] rhs Right hand argument
+ * @return The result of the operator.
  */
 inline bool
 operator!=(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -139,11 +139,11 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Less or equal operator.
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
+ * @param [in] lhs Left hand argument
+ * @param [in] rhs Right hand argument
+ * @return The result of the operator.
  */
 inline bool
 operator<=(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -152,11 +152,11 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Greater or equal operator.
- * \param [in] lhs Left hand argument
- * \param [in] rhs Right hand argument
- * \return The result of the operator.
+ * @param [in] lhs Left hand argument
+ * @param [in] rhs Right hand argument
+ * @return The result of the operator.
  */
 inline bool
 operator>=(const int64x64_t& lhs, const int64x64_t& rhs)
@@ -165,7 +165,7 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Output streamer for int64x64_t.
  *
  * Values are printed with the following format flags
@@ -178,26 +178,26 @@
  * all digits of the fractional part are printed, up to the
  * representation limit of 20 digits; trailing zeros are omitted.
  *
- * \param [in,out] os The output stream.
- * \param [in] value The numerical value to print.
- * \returns The stream.
+ * @param [in,out] os The output stream.
+ * @param [in] value The numerical value to print.
+ * @returns The stream.
  */
 std::ostream& operator<<(std::ostream& os, const int64x64_t& value);
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Input streamer for int64x64_t.
  *
- * \param [in,out] is The input stream.
- * \param [out] value The numerical value to set.
- * \returns The stream.
+ * @param [in,out] is The input stream.
+ * @param [out] value The numerical value to set.
+ * @returns The stream.
  */
 std::istream& operator>>(std::istream& is, int64x64_t& value);
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Absolute value.
- * \param [in] value The value to operate on.
- * \return The absolute value of \pname{value}.
+ * @param [in] value The value to operate on.
+ * @return The absolute value of \pname{value}.
  */
 inline int64x64_t
 Abs(const int64x64_t& value)
@@ -206,12 +206,12 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Minimum.
  *
- * \param [in] a The first value.
- * \param [in] b The second value.
- * \return The smaller of the arguments.
+ * @param [in] a The first value.
+ * @param [in] b The second value.
+ * @return The smaller of the arguments.
  */
 inline int64x64_t
 Min(const int64x64_t& a, const int64x64_t& b)
@@ -220,12 +220,12 @@
 }
 
 /**
- * \ingroup highprec
+ * @ingroup highprec
  * Maximum.
  *
- * \param [in] a The first value.
- * \param [in] b The second value.
- * \return The larger of the arguments.
+ * @param [in] a The first value.
+ * @param [in] b The second value.
+ * @return The larger of the arguments.
  */
 inline int64x64_t
 Max(const int64x64_t& a, const int64x64_t& b)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/integer.cc ns-3.44/src/core/model/integer.cc
--- ns-3.43/src/core/model/integer.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/integer.cc	2025-03-09 16:55:49.359371000 -0700
@@ -13,8 +13,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup attribute_Integer
+ * @file
+ * @ingroup attribute_Integer
  * ns3::MakeIntegerChecker implementation.
  */
 
@@ -29,13 +29,13 @@
 {
 
 /**
- * \ingroup attribute_Integer
+ * @ingroup attribute_Integer
  * Make an Integer attribute checker with embedded numeric type name.
  *
- * \param [in] min The minimum allowed value.
- * \param [in] max The maximum allowed value.
- * \param [in] name The original type name ("int8_t", "int16_t", _etc_.).
- * \returns The AttributeChecker.
+ * @param [in] min The minimum allowed value.
+ * @param [in] max The maximum allowed value.
+ * @param [in] name The original type name ("int8_t", "int16_t", _etc_.).
+ * @returns The AttributeChecker.
  */
 Ptr<const AttributeChecker>
 MakeIntegerChecker(int64_t min, int64_t max, std::string name)
